﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls.UI;

namespace CollapsiblePanelCustomButtonInHeader
{
    public partial class Form1 : RadForm
    {
        private RadCollapsiblePanel panel;
        private RadTreeView tree;
        private RadListView listView;

        public Form1()
        {
            InitializeComponent();

            this.tree = new RadTreeView()
            {
                Parent = this,
                Dock = DockStyle.Fill
            };

            this.panel = new RadCollapsiblePanel()
            {
                Parent = this,
                Dock = DockStyle.Left,
                ExpandDirection = RadDirection.Right,
            };

            this.listView = new RadListView()
            {
                Parent = this.panel,
                Dock = DockStyle.Fill
            };

            for (int i = 0; i < 10; i++)
            {
                this.listView.Items.Add("Item " + i);

                this.tree.Nodes.Add(new RadTreeNode("Node" + i));
            }

        }
    }
}
